<?xml version="1.0" encoding="utf-8"?>
<openerp>
    <data>

    	<record id="order_import_form1" model="ir.ui.view">
			<field name="name">order_import_form</field>
			<field name="model">order.import</field>
			<field name="type">form</field>
			<field name="arch" type="xml">
				<form string="Sales Order">
					<sheet>
						<group>
							<field name="name"/>
							<field name="module_file"/>
						</group>
					</sheet>
					<footer>
						<button name="import_orders" type="object" string="Import" />
					</footer>
				</form>
			</field>
		</record>

		<record id="action_view_order_import1" model="ir.actions.act_window">
            <field name="name">Import Orders</field>
            <field name="type">ir.actions.act_window</field>
            <field name="res_model">order.import</field>
            <field name="view_type">form</field>
            <field name="view_mode">form</field>
            <field name="view_id" ref="order_import_form1"></field>
            <field name="target">new</field>
        </record>

        <menuitem action="action_view_order_import1" id="order_import_menu_entry1" groups="group_cs_user" parent="outbound.menu_outbound_cs_view" string="Import Orders"/>


        <record id="order_import_form5" model="ir.ui.view">
			<field name="name">order_import_form_bulk</field>
			<field name="model">order.import.bulk</field>
			<field name="type">form</field>
			<field name="arch" type="xml">
				<form string="Sales Order bulk">
					<sheet>
						<group>
							<field name="name"/>
							<field name="module_file"/>
						</group>
					</sheet>
					<footer>
						<button name="import_file_bulk_order" type="object" string="Import Bulk Order" />
					</footer>
				</form>
			</field>
		</record>

		<record id="action_view_order_import_bulk" model="ir.actions.act_window">
            <field name="name">Import Bulk Orders</field>
            <field name="type">ir.actions.act_window</field>
            <field name="res_model">order.import.bulk</field>
            <field name="view_type">form</field>
            <field name="view_mode">form</field>
            <field name="view_id" ref="order_import_form5"></field>
            <field name="target">new</field>
        </record>

        <menuitem action="action_view_order_import_bulk" id="order_import_menu_entry5" parent="order_import_menu_entry1" string="Import Bulk Orders"/>

        <record id="process_product_inventory_1" model="ir.ui.view">
                <field name="name">assign.inventory.graph</field>
                <field name="model">assign.inventory</field>
                <field name="priority">31</field>
                <field name="arch" type="xml">
                <!-- <form string="update_product_view_1">    -->
		            <form string="Inventory" edit="false">
		                <sheet>
		               	<field name="order_number"  placeholder="Enter Order Number" class="oe_inline"/> 
		                <button name="assignment" string="Process Product" type="object" class="oe_highlight" context="{'order_number':order_number}" />    
		                </sheet>
		            </form>    
                <!-- </form> -->
                
            	</field>
        </record>

        <record id="update_product_assign_action_1" model="ir.actions.act_window">
            <field name="name">Update Inventory</field>
            <field name="res_model">assign.inventory</field>
            <field name="view_type">form</field>
            <field name="view_id" ref="process_product_inventory_1"/>
            <!-- <field name="context">{'type':'file'}</field> -->
            <field name="view_mode">tree,form</field>
        </record>

        <menuitem action="update_product_assign_action_1" id="update_product_inventory_details_1" parent="order_import_menu_entry1"/>


	</data>
</openerp>